Alerts
Alerts can be created by users on datasets. These alerts can then be used to inform users of information related to that dataset.
Requests
Initialise an alert on a dataset
POST /datasets/{dataset-id}/alerts
Initialises a new alert on a dataset.
Prerequisites
- The authenticated user must own a Meltano Cloud account
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/309e260d-f2d4-43a1-91e2-370222fea4c6/alerts' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.matatika.com/api/datasets/309e260d-f2d4-43a1-91e2-370222fea4c6/alerts"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
{
"id" : "741a2ad5-4fce-4076-ad76-bdaf086b1867",
"created" : "2026-04-23T13:17:16.586462637",
"lastModified" : "2026-04-23T13:17:16.586465037",
"_links" : {
"create alert" : {
"href" : "https://app.matatika.com/api/datasets/309e260d-f2d4-43a1-91e2-370222fea4c6/alerts/741a2ad5-4fce-4076-ad76-bdaf086b1867"
}
}
}
Create an alert on a dataset
PUT /datasets/{dataset-id}/alerts/{alert-id}
Create a new alert on a dataset.
Prerequisites
- The authenticated user must own a Meltano Cloud account
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/309e260d-f2d4-43a1-91e2-370222fea4c6/alerts/741a2ad5-4fce-4076-ad76-bdaf086b1867' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"detail" : "New dataset alert"
}'
import requests
url = "https://app.matatika.com/api/datasets/309e260d-f2d4-43a1-91e2-370222fea4c6/alerts/741a2ad5-4fce-4076-ad76-bdaf086b1867"
data = {
"detail" : "New dataset alert"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
201 Created
{
"id" : "741a2ad5-4fce-4076-ad76-bdaf086b1867",
"created" : "2026-04-23T13:17:16.659220516",
"lastModified" : "2026-04-23T13:17:16.659221116",
"raised" : "2026-04-23T13:17:16.659220516",
"detail" : "New dataset alert",
"_links" : {
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/309e260d-f2d4-43a1-91e2-370222fea4c6"
}
}
}
View alerts on a dataset
GET /datasets/{dataset-id}/alerts
View alerts on a dataset.
Prerequisites
- The authenticated user must own a Meltano Cloud account
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/309e260d-f2d4-43a1-91e2-370222fea4c6/alerts' -i -X GET
import requests
url = "https://app.matatika.com/api/datasets/309e260d-f2d4-43a1-91e2-370222fea4c6/alerts"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
{
"_embedded" : {
"alerts" : [ {
"id" : "741a2ad5-4fce-4076-ad76-bdaf086b1867",
"created" : "2026-04-23T13:17:16.659221",
"lastModified" : "2026-04-23T13:17:16.659221",
"raised" : "2026-04-23T13:17:16.659221",
"detail" : "New dataset alert",
"_links" : {
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/309e260d-f2d4-43a1-91e2-370222fea4c6"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/datasets/309e260d-f2d4-43a1-91e2-370222fea4c6/alerts?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}
View an alert
GET /alerts/{alert-id}
View an alert.
Prerequisites
- The authenticated user must own a Meltano Cloud account
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/alerts/741a2ad5-4fce-4076-ad76-bdaf086b1867' -i -X GET
import requests
url = "https://app.matatika.com/api/alerts/741a2ad5-4fce-4076-ad76-bdaf086b1867"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
{
"id" : "741a2ad5-4fce-4076-ad76-bdaf086b1867",
"created" : "2026-04-23T13:17:16.659221",
"lastModified" : "2026-04-23T13:17:16.659221",
"raised" : "2026-04-23T13:17:16.659221",
"detail" : "New dataset alert",
"_links" : {
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/309e260d-f2d4-43a1-91e2-370222fea4c6"
}
}
}